Bug 1291635 - tier : Demotion failure for char type file
tier : Demotion failure for char type file
Status: POST
Product: GlusterFS
Classification: Community
Component: tiering (Show other bugs)
mainline
All All
medium Severity medium
: ---
: ---
Assigned To: Jiffin
bugs@gluster.org
: Triaged
Depends On:
Blocks: 1291638 1291637
  Show dependency treegraph
 
Reported: 2015-12-15 06:16 EST by Jiffin
Modified: 2016-03-28 18:50 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 1291637 (view as bug list)
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jiffin 2015-12-15 06:16:17 EST
Description of problem:
Demotion failure for char type file. It should fail all special(CHAR, BLOCK, SOCKET etc) type files other than regular, but for me issue is seen in char type file. From the logs, it is clear that lookup(dht_revalidate_cbk) on this file failed in cold tier due to type mismatch 

Version-Release number of selected component (if applicable):
mainline

How reproducible:
always

Steps to Reproduce:
1.Create and start a tier volume
2.set tier mod= test(preferable to use other demotion paremeters)
3.mount the volume(any protocol) 
4.create a char type file using mknod
5.after some time(promotion will happen)
6.When tier daemon tries to demote, it will fail. Failure messages are flooded in tier log

Actual results:
Demotion failed

Expected results:
Demotion should not fail

Additional info:
snippet from tier daemon log :

[2015-12-11 13:00:10.407115] E [MSGID: 109037] [tier.c:1489:tier_start] 0-test-tier-dht: Demotion failed
13:00:10.355941] and [2015-12-11 13:00:20.417126]
[2015-12-11 13:00:20.421914] W [MSGID: 109008] [dht-common.c:826:dht_revalidate_cbk] 0-test-cold-dht: mismatching filetypes 01 v/s 05 for //char, gfid = b7f40bcd-3153-4619-bd19-28797d1b5ce5
[2015-12-11 13:00:20.421987] W [MSGID: 109023] [dht-rebalance.c:969:migrate_special_files] 0-test-tier-dht: //char: lookup failed (Invalid argument)
[2015-12-11 13:00:20.422605] E [MSGID: 109037] [tier.c:489:tier_migrate_using_query_file] 0-test-tier-dht: Failed to migrate char


char is file name
Comment 1 Vijay Bellur 2015-12-17 04:41:17 EST
REVIEW: http://review.gluster.org/12993 (xlator/ctr : Measure heat count only for regular files) posted (#1) for review on master by jiffin tony Thottan (jthottan@redhat.com)
Comment 2 Vijay Bellur 2016-01-11 01:03:34 EST
REVIEW: http://review.gluster.org/12993 (xlator/ctr : Measure heat count only for regular files) posted (#2) for review on master by jiffin tony Thottan (jthottan@redhat.com)
Comment 3 Mike McCune 2016-03-28 18:50:27 EDT
This bug was accidentally moved from POST to MODIFIED via an error in automation, please see mmccune@redhat.com with any questions

Note You need to log in before you can comment on or make changes to this bug.